<template>
    <div class="simulateur-corps">

        <Resultats @deuxiemeTour="changedeuxiemeTourval" />

        <section class="btn-simulation">
            <button @click="swapComponent('body-liste', 1)" class="btn black-white deuxieme-tour" v-if="tour == 0 && deuxiemeTour">Simuler le deuxième tour</button>
            <button @click="swapComponent('body-liste', null)" class="btn black-white simulation">{{ $t('resultats.moesodiferestimations') }}</button>
        </section>

    </div>
</template>

<script>
    import Resultats from '@/components/simulateur/interaction/Resultats.vue'
    import { villeGetters } from '@/store/ville.js';

    export default {
        name: "BodyResultatsVille",
        data: function () {
            return {
              isError: false,
              isLoading: false,
              deuxiemeTour: false
            }
          },
        components: {
            Resultats
        },
        methods: {
            changedeuxiemeTourval(val){
                this.deuxiemeTour = val;
            }
        },
        computed: {
            tour: villeGetters.tour
        },
        props: [
            'swapComponent'
        ]
    };
</script>
